<?php
		session_start();
		include('database.php');
		DB_connexion(); 

function traitement_on_chess_master()
{	
	$results = mysql_query("SELECT * FROM classement");
	$nb_joueurs = mysql_num_rows($results);
	//echo $nb_joueurs;
	
	$results2 = mysql_query("SELECT gagnant FROM chessmaster");
	while($row = mysql_fetch_assoc($results2))
	{
		$tab_gagnant[] = $row['gagnant'];
	}
	
	//print_r($tab_gagnant);
	
	$sans_doublon = array_unique($tab_gagnant);
	$reindex = array_values($sans_doublon);	
	//print_r($reindex);
	
	for ($i=0; $i < count($reindex); $i++) 
	{
			$cpt = 0;
			$up = 0;
			$tab_temp = array();
		
			//echo $reindex[$i];
			
			for ($j=0; $j < count($tab_gagnant); $j++) 
			{
				$test = strcmp($reindex[$i], $tab_gagnant[$j]);
				//echo $test;
				if($test == 0)
				{
					$cpt = $cpt + 1;
					$flag = "master";
					$up = $up + 1;

				}	
				if($test != 0 && $flag == "master")
				{
					$tab_temp[] = $up;
					$up = 0;
				}
				if($j == count($tab_gagnant) - 1)
				{
					if( $test == 0)
					{
							$tab_temp[] = $up;
					}
				}
				
			}
		
			//$tab_temp = array_unique($tab_temp);
			// supprime les 0 
			foreach($tab_temp as $array_key=>$array_item)
			{
				if($tab_temp[$array_key] == 0)
				{
					unset($tab_temp[$array_key]);
				}
			}
			
			$tab_temp[] = $cpt;
			$tab_temp[] = $reindex[$i];
			$tab_glob[] = array_values($tab_temp);
		
			//echo "+++++ " .$cpt ."<br>";
			
	}
	
	return($tab_glob);
}	
			
?>
  
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr" dir="ltr">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="Description" content="Site perso,cours,ouvrages" />
<meta name="Keywords" content="WEBSITE perso " />
<meta name="Distribution" content="Global" />
<meta name="Robots" content="" />
<meta http-equiv="Content-Language" content="fr" />
<meta name="rating" content="general" />
<meta name="author" content="Patrice DELPY" />
<meta name="copyright" content="Copyright 2013" />
<meta name="generator" content="Patoche" />
<title>Patoche WEBSITE - 2013 - Template du site - en cours de développemment ...</title>

<!---------------------------------------------------------->	
<?php
		include('include_css_template_commun.php');
		include('include_css.php');
		include('css_tools_skill.php');
		include('include_javascript.php');

?> 

<link href="http://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css" rel="stylesheet">
<script src="http://code.jquery.com/jquery-1.10.2.js"></script>
<script src="http://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>


<style type="text/css">

#navigation_tournoi{
					float: left;
					width: 910px; // 870
					padding: 10px 0px 0px 10px;
					text-align: center;
					}

#bloc_image_echec { float: left;
					width: 831px; 
					padding: 50px 50px 25px 50px;
					}
					
#mess
{
	font-size: 44px;
    text-align: center;

}

					
</style>

<script type="text/javascript">

function call_update()
{
		scruter();
		setTimeout("call_update()", 1000); //appelle la fonction 1 fois par  seconde
}

function scruter()
{
			var xhr = getXhr()
			// On défini ce qu'on va faire quand on aura la réponse
			xhr.onreadystatechange = function()
			{
					// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
					if(xhr.readyState == 4 && xhr.status == 200)
					{
						//alert(xhr.responseText);
						retour = xhr.responseText;
						
						if(retour == 0)
						{  	
		
							$(function()
							{
									$( "#message_expiration" ).dialog({
									modal: true,
									title: "Infos",
									buttons: {
												Ok: function()
												{
													$( this ).dialog( "close" );
													 document.location.href = "logout_expire.php";
												}
											 }
										});
							});
							
							
						}
	
						
						
					}
			}
					
			xhr.open("GET","session_timeout.php",true);
			xhr.send(null);
}

</script>

<!---------------------------------------------------------->	
</head>

<body>
<!---------------------------------------------------------->	
	<div class="main"> <!-- main -->
<!---------------------------------------------------------->	

			<div class="header">
                <div class="balise_titre">Patoche</div>
                <div class="balise_citation">
                &quot;Etre conscient que l'on est ignorant est un grand pas vers le savoir&quot;
                </div>
			</div> 
 
			<div class="banniere"></div>  

<!---------------------------------------------------------->
<?php
/*	include("include_barre_login.php");
	echo '<div id="box_icon">';
	include("debug_connexion_membre.php");
	echo '</div>';
	include("include_menu.php");*/
	
	echo '<div id="box_infos">';
			include("include_menu.php");
			
			echo '<div id="box_icon2">';
			include("connexion_membre.php");
			echo	'</div>';
			
			echo '<div id="box_icon3">';
			include("include_barre_login.php");
			echo	'</div>';

	echo	'</div>';
	$_SESSION['page_active'] = basename (__FILE__ );
?>
		

<!---------------------------------------------------------->	
            <div class="contenu"> <!-- contenu -->
<!---------------------------------------------------------->	
	
			<div class="barre_vide"></div>
			
			<div id="navigation_tournoi">
				<ul id="menu_horiz">
				<li class="tournoi_partie_tag"><a href="partie.php" title="aller à la section">Duel</a></li>
				<li class="tournoi_simulation_tag"><a href="simulation.php" title="aller à la section">Sim</a></li>
				<li class="tournoi_classement_tag"><a href="classement.php" title="aller à la section">ELO</a></li>
				<li class="tournoi_master_tag_selected"><a href="on_chess_master.php" title="aller à la section">Master</a></li>
				<li class="tournoi_liste_joueurs_tag"><a href="joueurs_echec.php" title="aller à la section">Players</a></li>
				<li class="tournoi_stats_tag"><a href="historique.php" title="aller à la section">Games</a></li>
				<li class="tournoi_securite_tag"><a href="admin.php" title="aller à la section">Admin</a></li>
				</ul>
			</div>
			
			<br>
			<br>
			<br>
			<br>
						
<?php			
			$resultats = traitement_on_chess_master();

			// combien d'enregistrement ?
			$sql = "SELECT * FROM chessmaster";
			$results = mysql_query($sql);
			$n =  mysql_num_rows($results);
			// pointe sur le dernier enregistrement
			$sql = "SELECT * FROM chessmaster WHERE id = '$n' ";
			$results = mysql_query($sql);
			$row = mysql_fetch_assoc($results);
			$master = $row['gagnant'];
			$date = date('d/m/Y', $row['date']);
			
			echo '<div id="mess">';
			echo $master;
			echo "<img src='images/medal.png' >";
			echo "</div>";
			
			echo "<div style='text-align:center;'>ON Chess master depuis le $date</div>"; 
			echo "<br><br>";
			
			echo "<table border=1 align=center width='80%'>
				<tr>
				<th>ID</th>
				<th>Joueur</th>
				<th>Score</th>
				<th>Longévité</th>
				</tr>";
			
			for ($i=1; $i <= count($resultats); $i++) 
			{
					$tab = $resultats[$i-1];
					$n = count($tab);
					$joueur = $tab[$n-1];
					$efficacite = $tab[$n-2];
					
					$tmp = $tab;
					array_pop($tmp);
					array_pop($tmp);
					$str = implode(" ",$tmp);
					
					echo "	<tr>
							<td align=center>$i</td>
							<td align=center>$joueur</td>
							<td align=center>$efficacite</td>
							<td align=center>$str</td>
							</tr>";	
			}	
			
			echo "</table>";
			
			echo "<br><br>";
			
			$sql = "select * from chessmaster ORDER by date desc ";
			$results = mysql_query($sql);
			$number = mysql_num_rows($results);
				
			echo "<p align=center>Confrontations</p><br>";
				
			echo "<table border=1 align=center width='80%'><tr>
	
			<th>ID</th>
			<th>Blanc</th>
			<th>Noir</th>
			<th>Vainqueur</th>	
			<th>Date</th>";
				
			$indice = 1;
				
			while($row = mysql_fetch_assoc($results))
			{
					$blanc = $row['blanc']; 
					$noir = $row['noir'];
					$gagnant = $row['gagnant'];
					$date = date('d/m/Y', $row['date']);
					
					echo "	<tr>
							<td align=center>$indice</td>
							<td align=center>$blanc</td>
							<td align=center>$noir</td>
							<td align=center>$gagnant</td>
							<td align=center>$date</td>
							</tr>";
					
					$indice = $indice + 1;
				} 	

				echo "</table>";
				mysql_close();
?>			
			
			<br>
			<br>
			
			<div id="message_connexion" style="display: none">
			<p>
			<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
			Bienvenue.
			</p>
			</div>
			
			<div id="message_expiration" style="display: none">
			<p>
			<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
			La session a expiré. veuillez vous reconnecter.
			</p>
			</div>
			
					

<!---------------------------------------------------------->	
<?php			
    include('include_pied_page.php');
	include('include_publicite.php');
?>
<!---------------------------------------------------------->	
			</div>  <!-- contenu -->
<!---------------------------------------------------------->	
	</div>   <!-- main -->
<!---------------------------------------------------------->	

	<script type="text/javascript">
		call_update();
	</script>

</body>
</html>


